
%define  komparedialogpages_major 5
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major
%define  kompareinterface_major 5
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

Name: kompare
Summary: A diff graphic tool
Version: 17.12.3
Group: Graphical desktop/KDE5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: libkomparediff2-devel

BuildRequires: %{_lib}qt5core-devel

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kiconthemes-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kparts-devel 
BuildRequires:  ktexteditor-devel 
BuildRequires:  kwidgetsaddons-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       kparts


%description
Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features :
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files 
%_kf5_bindir/kompare
%_qt5_plugindir/*.so
%_kf5_datadir/applications/org.kde.kompare.desktop
%_kf5_iconsdir/hicolor/*/apps/kompare.png
%_kf5_iconsdir/hicolor/scalable/apps/kompare.svgz
%_kf5_services/komparenavtreepart.desktop
%_kf5_services/komparepart.desktop
%_kf5_servicetypes/komparenavigationpart.desktop
%_kf5_servicetypes/kompareviewpart.desktop
%_kf5_datadir/kxmlgui5/kompare
#------------------------------------------------------------------------------
%_kf5_libdir/libkomparedialogpages.so.%{komparedialogpages_major}*
#------------------------------------------------------------------------------
%_kf5_libdir/libkompareinterface.so.%{kompareinterface_major}*
#------------------------------------------------------------------------------
%_kf5_datadir/locale
%_kf5_datadir/metainfo/org.kde.kompare.appdata.xml
%_kf5_datadir/kxmlgui5/komparepart/komparepartui.rc

%package handbook
Summary:  %name handbook
BuildArch: noarch
Group: Documentation
Requires: %name

%description handbook
This package provides %name handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC AUTHORS ChangeLog
%doc %_kf5_docdir/HTML

#-----------------------------------------------------------------------------

%package    devel
Summary:    Header files for kdesdk
Group:      Development/Libraries
Requires:   %name

%description  devel
This package includes the header files you will need to compile applications
against %{name}

%files devel
%_includedir/*
%_kf5_libdir/libkompareinterface.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update


